incubator-isis-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Kevin Meyer - KMZ" <>
Subject Move over to Maven3?
Date Sun, 17 Jul 2011 19:08:50 GMT
Hi all,

I think I've proved to myself that the previous issue with Maven3 
seems to have been fixed - if I remember correctly, the doc build did 
not complete properly - and this no longer seems to be the case (or 
has otherwise been addressed).

Dan? Rob? Would you care to confirm this?

Everyone else? Is there any reason not to up the maven version from 
2.2 to 3?

The changes to framework pom are:

Remove the 3.0.0 version restriction:

-                                <version>[2.2.1,3.0.0)</version>
+                                <version>[2.2.1,)</version>

Increase the maven-site-plugin version:

-                    <version>2.2</version>
+                    <version>3.0-beta-3</version>


PS: I'll preserve the latest full build site from /tmp/m2-sites/isis, if 
anyone needs me to check output, etc, first.

View raw message